<template>
  <query-config :disabled="true" :config_eid="config_eid"></query-config>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { useI18n } from '@crami/locale';
import QueryConfig from './QueryConfig.vue';
import { useRouter } from 'vue-router';

export default defineComponent({
  name: 'GeneralQueryConfigView',
  components: { QueryConfig },
  setup() {
    const { t } = useI18n();
    const router = useRouter();
    const routerQuery = router.currentRoute.value.query;
    let config_eid = routerQuery?.EID || '';

    console.log('routerQuery:' + routerQuery);

    return {
      t,
      config_eid,
    };
  },
});
</script>
<style lang="less" scoped>
.item-btns {
  margin-top: 30px;
  text-align: right;
}

.review-method-info {
  width: inherit;
  margin: 10px;
  // padding-left: 24px;
}

.review-method-info-label {
  padding-right: 10px;
  line-height: 28px;
  display: inline-block;
  width: 100px;
  text-align: right;
}

.update-executor {
  min-height: auto;
}
</style>
